package friend

import (
	"context"

	"git.apinb.com/bsm-sdk/core/errcode"
	"git.apinb.com/bsm-sdk/core/service"
	pb "bsm/full/module/social/relation/pb"
)

// 搜索
func Search(ctx context.Context, in *pb.SearchRequest) (reply *pb.PartFriendReply, err error) {
	// parse authorization meta.
	_, err = service.ParseMetaCtx(ctx, nil)
	if err != nil {
		return nil, err
	}
	if in.Keyword == "" {
		return nil, errcode.ErrInvalidArgument
	}
	return &pb.PartFriendReply{}, nil
}
